OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Axis1Placement Class Reference

`#include <StepGeom_Axis1Placement.hxx>`

Inheritance diagram for StepGeom_Axis1Placement:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_Axis1Placement ()
| Returns a Axis1Placement .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CartesianPoint)&aLocation)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CartesianPoint)&aLocation, const Standard_Boolean hasAaxis, const Handle(StepGeom_Direction)&aAxis)
Standard_EXPORT void | SetAxis (const Handle(StepGeom_Direction)&aAxis)
Standard_EXPORT void | UnSetAxis ()
Standard_EXPORT Handle_StepGeom_Direction | Axis () const
Standard_EXPORT Standard_Boolean | HasAxis () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Direction | axis
Standard_Boolean | hasAxis

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Axis1Placement::StepGeom_Axis1Placement | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Direction StepGeom_Axis1Placement::Axis | ( |  | ) | const

Standard_EXPORT const StepGeom_Axis1Placement::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Placement.

Standard_EXPORT Standard_Boolean StepGeom_Axis1Placement::HasAxis | ( |  | ) | const

virtual Standard_EXPORT void StepGeom_Axis1Placement::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CartesianPoint)& | aLocation,
|  | const Standard_Boolean | hasAaxis,
|  | const Handle(StepGeom_Direction)& | aAxis
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_Axis1Placement::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CartesianPoint)& | aLocation
| ) | `[virtual]`

| Reimplemented from StepGeom_Placement.

Standard_EXPORT void StepGeom_Axis1Placement::SetAxis | ( | const Handle(StepGeom_Direction)& | aAxis | ) |

Standard_EXPORT void StepGeom_Axis1Placement::UnSetAxis | ( |  | ) |

## Field Documentation

Handle_StepGeom_Direction StepGeom_Axis1Placement::axis`[private]`

Standard_Boolean StepGeom_Axis1Placement::hasAxis`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Axis1Placement.hxx